BeanGenerator (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.beans

## Class BeanGenerator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.beans.BeanGenerator

- All Implemented Interfaces:
    ClassGenerator

      public class BeanGenerator
      extends AbstractClassGenerator

  Author:
    Juozas Baliuka, Chris Nokleberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addProperties(BeanGenerator gen, java.lang.Class type)`
    `static void` | `addProperties(BeanGenerator gen, java.util.Map props)`
    `static void` | `addProperties(BeanGenerator gen, java.beans.PropertyDescriptor[] descriptors)`
    `void` | `addProperty(java.lang.String name, java.lang.Class type)`
    `java.lang.Object` | `create()`
    `java.lang.Object` | `createClass()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setSuperclass(java.lang.Class superclass)` Set the class which the generated class will extend.

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanGenerator

          public BeanGenerator()

  - ### Method Detail

    - #### setSuperclass

          public void setSuperclass(java.lang.Class superclass)

      Set the class which the generated class will extend. The class must not be declared as final, and must have a non-private no-argument constructor.
      Parameters:
        `superclass` - class to extend, or null to extend Object

    - #### addProperty

          public void addProperty(java.lang.String name,
                         java.lang.Class type)

    - #### create

          public java.lang.Object create()

    - #### createClass

          public java.lang.Object createClass()

    - #### generateClass

          public void generateClass(ClassVisitor v)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addProperties

          public static void addProperties(BeanGenerator gen,
                           java.util.Map props)

    - #### addProperties

          public static void addProperties(BeanGenerator gen,
                           java.lang.Class type)

    - #### addProperties

          public static void addProperties(BeanGenerator gen,
                           java.beans.PropertyDescriptor[] descriptors)

Copyright (c) 2001 - Apache Software Foundation